<!--
Copyright 2014 - 2020. Texas Instruments Incorporated. All rights reserved.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

*   Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
*   Neither the name of Texas Instruments Incorporated nor the names of
its contributors may be used to endorse or promote products derived
from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<!DOCTYPE html>
<html lang="en">
<head>
    <title>LED Checkbox Demo</title>
    <meta charset="utf-8" />
	<script nomodule="" src="../../build/gc-components.js"></script>
	<script type="module" src="../../build/gc-components.esm.js"></script>

    <script type="module" src="../lib/BindingRegistry"></script>
</head>

<body style="margin:20px;font-family: sans-serif;">
<!-- ------------------------------------------------------------------------------------- -->

    <style>
      #redCheck {
        left: 100px;
        top: 50px;
        position: absolute;
      }
      #greenCheck {
        left: 100px;
        top: 150px;
        position: absolute;
      }
    </style>
    <gc-widget-checkbox label="Red" id="redCheck"></gc-widget-checkbox>
    <gc-widget-checkbox label="Green" id="greenCheck"></gc-widget-checkbox>

    <gc-target-connection-manager autoconnect="true" hidden>
        <gc-target-configuration id="default" hidden>
            usb+cr+json+streaming
        </gc-target-configuration>
    </gc-target-connection-manager>

    <gc-transport-usb usb id='usb' device-id="MSP432P401R"></gc-transport-usb>
    <gc-model-streaming id="streaming"></gc-model-streaming>
    <gc-codec-delimited-text id="cr"></gc-codec-delimited-text>
    <gc-codec-json id="json"></gc-codec-json>
</body>
</html>
